from typing import Any, List, Dict

from ..Attributes import TemporaryToken, TemporaryTokenExpiration
from pydantic import BaseModel


class CreateUser(TemporaryToken, TemporaryTokenExpiration):
    pass


class DisableUser(BaseModel):
    disabled: bool


class GetTemporaryToken(TemporaryToken, TemporaryTokenExpiration):
    pass


class ConfirmTemporaryToken(BaseModel):
    confirmed: bool


class ActivateUser(BaseModel):
    activated: bool


class ChangePasswordUser(BaseModel):
    changed: bool


class CreateStripeCustomer(BaseModel):
    created: bool


class ModifyUser(BaseModel):
    modified: bool


class AddUserStripePayment(BaseModel):
    secret_key: str


class GetUsersRequests(BaseModel):
    requests: List[Dict[str, Any]]


class GetCustomerPaymentMethods(BaseModel):
    stripe_response: Dict[str, Any]


class DetachCustomerPaymentMethod(BaseModel):
    stripe_response: Dict[str, Any]


class SetCustomerDefaultPaymentMethod(BaseModel):
    stripe_response: Dict[str, Any]


class GetStripeCustomerInfo(BaseModel):
    stripe_response: Dict[str, Any]


class GetCustomerInvoices(BaseModel):
    stripe_response: Dict[str, Any]
