from .Connector import Connector

from .ApiModels import Nlp as Models


class Nlp(Connector):

    def semantic_analysis(self, text, lang=None, properties=None, concepts_properties=None, precision=0.9,
                          normalizations=None, split=None):
        return Models.SemanticAnalysis.fill(**locals()).call(self.client)

    def texts_similarity(self, text1, text2, lang1=None, lang2=None, normalizations=None, precision=None, split=None):
        return Models.TextsSimilarity.fill(**locals()).call(self.client)

    def url_analysis(self, url, properties=None, concepts_properties=None,
                     precision=None, normalizations=None, split=None):
        return Models.UrlAnalysis.fill(**locals()).call(self.client)

    def detect_lang(self, text):
        return Models.DetectLang.fill(**locals()).call(self.client)

    def summarize(self, text, normalizations=None, precision=None, split=None):
        return Models.Summarize.fill(**locals()).call(self.client)
